curl --request POST \
--url https://int-data.moneydesktop.com/scheduled_payments \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '{}'import requests
url = "https://int-data.moneydesktop.com/scheduled_payments"
payload = {}
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({})
};
fetch('https://int-data.moneydesktop.com/scheduled_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scheduled_payment": {
"amount": 10.97,
"created_at": "2015-04-13T12:01:23-00:00",
"description": "Power bill",
"guid": "SCH-e386a323-e452-47f2-b2fd-1ac3c18533de",
"is_completed": false,
"is_recurring": true,
"merchant_guid": "MCH-5005cd15-c3e5-0e69-ec98-c95147860a45",
"occurs_on": "2018-12-13T00:00:00.000Z",
"recurrence_day": 3,
"recurrence_type": 3,
"recurrence_type_name": "EVERY_MONTH",
"transaction_type": 2,
"transaction_type_name": "DEBIT",
"updated_at": "2015-04-13T12:01:23.000Z",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
}Create a scheduled payment
Create a scheduled payment.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Body
Hide child attributes
Hide child attributes
The amount of the scheduled_payment.
10.97
A human-readable description of the scheduled_payment, e.g., Power bill.
"Power bill"
Indicates whether the scheduled_payment is expected to repeat.
true
The date on which the payment is scheduled to occur, given in ISO 8601 format without a timestamp.
"2018-12-13T00:00:00.000Z"
Indicates whether the scheduled_payment has been paid or not. This field is only applicable to one-time transactions.
false
The unique identifier for the merchant identified in the scheduled_payment.
"MCH-5005cd15-c3e5-0e69-ec98-c95147860a45"
The day of the month where the next payment is expected to occur.
3
The repeatable pattern for the scheduled_payment, given as an integer.
3
Indicates whether the transaction is a credit or a debit. 1 = CREDIT, 2 = DEBIT.
2
Indicates whether the transaction is a credit or a debit. 1 = CREDIT, 2 = DEBIT.
"DEBIT"
Response
OK
Hide child attributes
Hide child attributes
The amount of the scheduled_payment.
10.97
Date and time the scheduled_payment was created, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).
"2015-04-13T12:01:23-00:00"
A human-readable description of the scheduled_payment, e.g., Power bill.
"Power bill"
The unique identifier for the scheduled_payment, such as a recurring utility bill or streaming subscription. Defined by MX.
"SCH-e386a323-e452-47f2-b2fd-1ac3c18533de"
Indicates whether the scheduled_payment has been paid or not. This field is only applicable to one-time transactions.
false
Indicates whether the scheduled_payment is expected to repeat.
true
The unique identifier for the merchant identified in the scheduled_payment.
"MCH-5005cd15-c3e5-0e69-ec98-c95147860a45"
The date on which the payment is scheduled to occur, given in ISO 8601 format without a timestamp.
"2018-12-13T00:00:00.000Z"
The day of the month where the next payment is expected to occur.
3
The repeatable pattern for the scheduled_payment, given as an integer.
3
The repeatable pattern for the scheduled_payment, given as a string.
"EVERY_MONTH"
Indicates whether the transaction is a credit or a debit. 1 = CREDIT, 2 = DEBIT.
2
Indicates whether the transaction is a credit or a debit. 1 = CREDIT, 2 = DEBIT.
"DEBIT"
Date and time the scheduled_payment was last updated, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
"2015-04-13T12:01:23.000Z"
The unique identifier for the user associated with a scheduled_payment. Scheduled payments are attached to the user_guid, not individual accounts held by the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

